> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Permit

> This API is used to submit a permit from the quote API.



## OpenAPI

````yaml post /execute/permits
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /execute/permits:
    post:
      parameters:
        - schema:
            type: string
          in: query
          name: signature
          required: true
          description: The permit signature.
      requestBody:
        content:
          application/json:
            schema:
              properties:
                kind:
                  type: string
                  description: >-
                    The kind of signature. This value is returned in the quote
                    API steps body field. e.g eip3009
                requestId:
                  type: string
                  description: >-
                    The requestId of the quote this permit signature applies to.
                    Returned in the quote API steps body field.
                api:
                  type: string
                  enum:
                    - bridge
                    - swap
                    - user-swap
                  description: The API value returned from the quote API steps body field.
              required:
                - kind
                - requestId
              type: object
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  steps:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        action:
                          type: string
                        description:
                          type: string
                        kind:
                          type: string
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              status:
                                type: string
                              data:
                                type: object
                                properties:
                                  to:
                                    type: string
                                  data:
                                    type: string
                                  value:
                                    type: string
                                  chainId:
                                    type: number
                              check:
                                type: object
                                properties:
                                  endpoint:
                                    type: string
                                  method:
                                    type: string
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string

````